This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 813856 - [eap6] mail sessions & mail subsystem not working at all
[eap6] mail sessions & mail subsystem not working at all
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
4.4
Unspecified Unspecified
urgent Severity unspecified (vote)
: ---
: ---
Assigned To: Stefan Negrea
Mike Foley
:
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-04-18 11:21 EDT by Libor Zoubek
Modified: 2015-11-01 19:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:23:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2012-04-18 11:21:47 EDT
Description of problem:I do not understand how RHQ manages mail subsystem on EAP6. It seems to be completely broken and also the design IMHO does not follow EAP semantics.

In my understanding of EAP6:

There is a mail subsystem on EAP
this mail subsystem can define several child resources = Mail-Session

Each Mail-Session resource can be either smtp-server, pop3-server or imap-server, has JNDI name and outbound-socket-binding-ref, optionally login information, + SSL

Version-Release number of selected component (if applicable):
Version: 4.4.0-SNAPSHOT
Build Number: 0fe1b14
EAP6 ER5
  
Actual results:

RHQ transforms mail subsystem into this tree:
-mail
--Mail-Session
---Mail-Session-type

on -mail level, there is NO way how to add a child resource (Mail-Session)

on --Mail-Session level, there are operations 'Add' and 'Remove'.
'Add' - does not work and does not make sense on this place.
'Remove' - I don not understand, what should be removed, operation succeeds, but nothing happens

on ---Mail-Session-type level - there are operations 'Add' 'Remove' which do nothing too (they succeed without any impact)


Expected results:

I suggest reorganize mail subsystem into simpler structure

-mail
--Mail-Session (that would be 3 resource types SMTP/IMAP/POP3)

get rid of operations and replace it by 'Create Child'
get creating/removing child resources work
Comment 1 Stefan Negrea 2012-04-23 11:46:36 EDT
The extra operations have been removed, there should be no operations available for the mail subsystem or children. Create/remove is now handled through Inventory->Child Resources only.

SMTP, IMAP, and POP3 are now sub-resources for Mail-Sessions. These sub-resources are singletons, so it is possible to add only one of each. The creation/removal each of these sub-resources is done through the Child Resources sub-tab of the Mail Session.
Comment 2 Heiko W. Rupp 2013-09-02 03:23:32 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.